import { UmbConditionBase } from '../../../core/extension-registry/index.js';
import { UMB_CURRENT_USER_CONTEXT } from '../../../user/current-user/index.js';
export class UmbAllowMediaRecycleBinCurrentUserCondition extends UmbConditionBase {
    constructor(host, args) {
        super(host, args);
        this.consumeContext(UMB_CURRENT_USER_CONTEXT, (context) => {
            this.observe(context?.hasMediaRootAccess, (hasAccess) => {
                this.permitted = hasAccess === true;
            });
        });
    }
}
export { UmbAllowMediaRecycleBinCurrentUserCondition as api };
